Subject: Re: Driver - HDLC 83xx QUICC Engine??

From: "Joakim Tjernlund" <[email-masked]>
Date: Wed, 16 Jan 2008 01:34:51 +0100

> -----Ursprungligt meddelande-----
> Från: Russell McGuire [mailto:[email-masked]]
> Skickat: den 16 januari 2008 01:31
> Till: 'Joakim Tjernlund'
> Kopia: [email-masked]
> Ämne: RE: Driver - HDLC 83xx QUICC Engine??
> 
> Jocke,
> 
> I'll let you know if I find any.  For a starting point, I have an QE ATM
> driver, that is more than likely similar in design <though no Ethernet
> interface>, as it supports the QE engine, and just turns the UCC into ATM
> mode, as opposed to HDLC mode. Would imagine the buffering, IO, interrupts
> are similar. I am still in process of porting it up from the 82xx CPU.
> 
> Although HDLC how it registers itself into the kernel is a mystery to me, I
> am having trouble finding any HDLC drivers to model this after.  Know of any
> specs? API? Etc...

Sorry but I don't know. Luckily for me I don't have too either.

 Jocke